AgentConnect
External memory

Get an external-memory connection

Get one org connection, its non-secret config, secret field names, and latest probe status.

GET
/v1/orgs/{orgId}/external-memory-connections/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/external-memory-connections/string"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "installationId": "7a1bf939-4d70-4439-9ced-a3dbbce12bd7",  "config": {    "property1": null,    "property2": null  },  "secretKeys": [    "string"  ],  "status": "probing",  "revision": 1,  "probedRevision": 1,  "pluginVersion": "string",  "profile": "string",  "manifestDigest": "string",  "capabilities": {    "property1": null,    "property2": null  },  "configSchema": {    "property1": null,    "property2": null  },  "declaredEgressHosts": [    "string"  ],  "reasonCode": "string",  "createdBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}